using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HaloPlugins.Xbox
{
    public class scen : TagDefinition
    {
       public scen() : base("scen", "scenery", 196)
       {
           // Obje
           Fields.AddRange(new obje().Fields.ToArray());

           // Scen
           Fields.AddRange(new IMetaNode[] {
           new HaloPlugins.Enum("Pathfinding Policy", new string[] { "Cut-Out", "Static", "Dynamic", "None" }, 16),
           new Flags("flags", new string[] { "Physically_Simulates" }, 16),
           new HaloPlugins.Enum("Lightmapping Policy", new string[] { "Per-Vertex", "Per-Pixel_(Not_Implemented)", "Dynamic" }, 32),
           });
       }
    }
}
